OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.MultiDrawArrays

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTMultiDrawArrays :: MonadIO m => m Bool
- gl_EXT_multi_draw_arrays :: Bool
- glMultiDrawArraysEXT :: MonadIO m => GLenum -> Ptr GLint -> Ptr GLsizei -> GLsizei -> m ()
- glMultiDrawElementsEXT :: MonadIO m => GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> m ()

# Extension Support

glGetEXTMultiDrawArrays :: MonadIO m => m Bool Source #

Is the EXT_multi_draw_arrays extension supported?

gl_EXT_multi_draw_arrays :: Bool Source #

Is the EXT_multi_draw_arrays extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTMultiDrawArrays` in those cases instead.

# Functions

glMultiDrawArraysEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr GLint | `first` pointing to `COMPSIZE(primcount)` elements of type `GLint`.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(primcount)` elements of type `GLsizei`.
-> GLsizei | `primcount`.
-> m () |

This command is an alias for `glMultiDrawArrays`.

glMultiDrawElementsEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(primcount)` elements of type `GLsizei`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr (Ptr a) | `indices` pointing to `COMPSIZE(primcount)` elements of type `Ptr a`.
-> GLsizei | `primcount`.
-> m () |

This command is an alias for `glMultiDrawElements`.